﻿using Infragistics.UltraChart.Shared.Styles;
using Infragistics.WebUI.UltraWebChart;
using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KB9331_WebFormsApplication1
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            ultraChart1.DataSource = GetColumnData();
            ultraChart1.DataBind();

            ultraChart1.ColorModel.ModelStyle = ColorModels.CustomLinear;
            Color[] ChartColors;
            ChartColors = new Color[] {Color.Red, Color.Orange, Color.Yellow, Color.Green, Color.Blue, Color.Indigo, Color.Violet};
            ultraChart1.ColorModel.CustomPalette = ChartColors;

            ultraChart1.Axis.Y.Extent = 20;
        }

        private DataTable GetColumnData()
        {
            DataTable mydata = new DataTable();
            // 列と列名を定義します。
            mydata.Columns.Add("Series Labels", typeof(string));
            mydata.Columns.Add("Column A", typeof(int));
            mydata.Columns.Add("Column B", typeof(int));
            mydata.Columns.Add("Column C", typeof(int));
            mydata.Columns.Add("Column D", typeof(int));
            // データの行を追加します。
            mydata.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });
            mydata.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
            mydata.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
            mydata.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });
            return mydata;
        }
    }
}